// $Id: main.C,v 1.6 1995/12/04 06:17:28 daveg Exp $
#include <6170.h>
#include <game.h>
#include <player.h>
#include "tic_board.h"
#include <machine_player.h>
#include <antichess_board.h>

int main(void) {
    //board *b = new tic_board();
    ifstream is("test.brd",ios::in|ios::nocreate);
    board * b = new antichess_board(is);
  player *p1 = new machine_player(300000,true);
  player *p2 = new machine_player(300000,true);

  game *g = new game(b, p1, p2, "http://vorlon.mit.edu:8001/42/", "",true);
g->display(0,0)->body(cout);
  return 0;
}

